> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socialvision.tisyk.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# 即梦 Jimeng 视频参考

> 字节跳动即梦视频生成接口

## 查询任务

`GET /jimeng/fetch/{task_id}`

TaskStatus:
"NOT\_START"
"SUBMITTED"
"QUEUED"
"IN\_PROGRESS"
"FAILURE"
"SUCCESS"

### 请求参数 (Query / Path)

<ParamField path="task_id" type="string" required>
  异步任务 ID
</ParamField>

### 请求示例 (cURL)

```bash theme={null}
curl "https://socialvision.tisyk.xyz/jimeng/fetch/{task_id}" \
  -H "Authorization: Bearer sk-YOUR_API_KEY"
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": "success",
  "data": {
    "action": "jimeng-videos",
    "data": {
      "code": "success",
      "data": {
        "action": "jimeng-videos",
        "data": {
          "created_at": "2025-08-29T16:52:26.472319",
          "status": "SUCCESS",
          "video": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/doubao-seedance-1-0-pro/02175645748366600000000000000000000ffffac144da8be727d.mp4?X-Tos-Algorithm=TOS4-HMAC-SHA256&X-Tos-Credential=AKLTYWJkZTExNjA1ZDUyNDc3YzhjNTM5OGIyNjBhNDcyOTQ%2F20250829%2Fcn-beijing%2Ftos%2Frequest&X-Tos-Date=20250829T085221Z&X-Tos-Expires=86400&X-Tos-Signature=21b6342d402b99e61d2f842485451b1bf6635d4547103233586f15e485b02a05&X-Tos-SignedHeaders=host"
        },
        "fail_reason": "",
        "finish_time": 1756457546,
        "platform": "jimeng",
        "progress": "100%",
        "search_item": "",
        "start_time": 1756457496,
        "status": "SUCCESS",
        "submit_time": 1756457484,
        "task_id": "cgt-20250829165122-qkwch"
      },
      "message": ""
    },
    "fail_reason": "",
    "finish_time": 1756457496,
    "progress": "100%",
    "start_time": 0,
    "status": "SUCCESS",
    "submit_time": 1756457484,
    "task_id": "cgt-20250829165122-qkwch"
  },
  "message": ""
}
```

***

## 提交视频生成

`POST /jimeng/submit/videos`

即梦 V3 文生/图生视频。

### 请求体参数 (Body)

<ParamField body="aspect_ratio" type="string" required>
  视频尺寸 枚举值 "1:1", "21:9", "16:9", "9:16", "4:3", "3:4"
</ParamField>

<ParamField body="cfg_scale" type="number" required>
  提示词相关性权重，0\~1 的小数
</ParamField>

<ParamField body="duration" type="integer" required>
  视频时长 枚举值 5, 10
</ParamField>

<ParamField body="image_url" type="string">
  图生视频需要传此参数
</ParamField>

<ParamField body="prompt" type="string" required>
  提示词
</ParamField>

### 请求示例 (JSON)

```json theme={null}
{
  "aspect_ratio": "16:9",
  "cfg_scale": 0.5,
  "duration": 5,
  "prompt": "一只猫在草地上奔跑"
}
```

### 请求示例 (cURL)

```bash theme={null}
curl -X POST "https://socialvision.tisyk.xyz/jimeng/submit/videos" \
  -H "Authorization: Bearer sk-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "aspect_ratio": "16:9",
  "cfg_scale": 0.5,
  "duration": 5,
  "prompt": "一只猫在草地上奔跑"
}'
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": "success",
  "data": "cgt-20250829165122-qkwch",
  "message": ""
}
```

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.